{
  "factory": {
    "id": "artemis-connector-out",
    "type": "entaxy.runtime.connector",
    "parent": "connection-based-connector-out",
    "description": "Artemis OUT-connector (producer) factory",
    "label": "connector,artemis",
    "isAbstract": false,
    "requires": ["artemis-connection"]
  },
  "entaxy.runtime.connector": {
  	"type": "artemis",
  	"protocol": "artemis"
  },
  "fields": {
		"entaxyOriginConnection": {
			"type": "entaxy.runtime.connection",
			"filter": {
				"label": "artemis"
			}
		},
		"queueOrTopicType": {
			"displayName": "JMS Queue or Topic",
			"description": "The kind of destination to use",
			"type": "String",
			"required": true,
			"group": "entaxy",
			"@TYPEINFO": {
				"type": "enum",
				"values": [
					"queue",
					"topic",
					"temp-queue",
					"temp-topic"
				]
			},
			"defaultValue": "queue"
		},
		"queueOrTopicName": {
			"displayName": "Name of Queue or Topic",
			"description": "Name of the queue or topic to use as destination",
			"type": "String",
			"required": true,
			"group": "entaxy"
		}
	},
	"outputs": {
		"init": {
			"isDefault": true,
			"fields": {
				"queueOrTopicType": {},
				"queueOrTopicName": {},
				"entaxyOriginConnection": {},
				"@IMPORT": [{
					"sourceFactoryId": "artemis-connection",
					"location": "outputs.producer.fields",
					"prefix": "",
					"filter": {
						"contained": [{
								"attribute": "##origin",
								"values": ["camel"]
							}
						]
					}
				}
				]
			},
			"config": {
				"configurable": false
			}			
		}
	}
}
